Subject: [bug#61803] [PATCH 0/3] [shepherd] improve race-free spawn+wait

From: Ludovic Courtès <[email-masked]>
Date: Sat, 11 Mar 2023 15:57:43 +0100

Hi Ulf,

Ulf Herrman <[email-masked]> skribis:

> I tend to agree, but make-system-constructor and make-system-destructor
> both use it and are documented in the manual, so we should either make
> them work properly or remove them.

Yeah, you’re right.  So I guess we need to support it for now and start
a deprecation cycle so we can eventually remove it.

For now, I’ve pushed a simplified version of your patch as
89dd3bb57fa3e3a23cf85385b0788046b7e45170.

Let me know if you notice something wrong!

Ludo’.